#!/usr/bin/env python
# -*- coding: UTF-8 -*-
##
##    Copyright (C) 2005 manatlan manatlan[at]gmail(dot)com
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; version 2 only.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
import os
import gtk

from __main__ import GladeApp
GladeApp.bindtextdomain("plugin","po")

class Winflickr(GladeApp):
    glade=os.path.join(os.path.dirname(__file__), 'winflickr.glade')

    def init(self):
        self.main_widget.set_modal(True)
        self.main_widget.set_position(gtk.WIN_POS_CENTER)


        # prepare the display of the combo
        cell = gtk.CellRendererText()
        self.cb_privacy.pack_start(cell, True)
        self.cb_privacy.add_attribute(cell, 'text',0)

        # get the default params
        email,password,privacy = Winflickr.params

        self.e_email.set_text(email)
        self.e_password.set_text(password)
        self.setList([_("public"),_("friend"),_("family")],privacy)



    def setList(self,list,n):
        m=gtk.ListStore( str)
        m.clear()
        for i in list:
            m.append( [i,] )
        self.cb_privacy.set_model(m)

        self.cb_privacy.set_active(n)

    def on_WinFlickr_delete_event(self, widget, *args):
        self.quit(False)

    def on_btn_cancel_clicked(self, widget, *args):
        self.quit(False)

    def on_btn_valid_clicked(self, widget, *args):
        rep= (
                        self.e_email.get_text(),
                        self.e_password.get_text(),
                        self.cb_privacy.get_active(),
                      )
        self.quit(rep)




def main():
    Winflickr.params=("marco","toto",0)

    win_flickr = Winflickr()
    print win_flickr.loop()

if __name__ == "__main__":
    main()


